Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## writer2latex.latex.i18n
Class I18n

    java.lang.Object
      writer2latex.latex.i18n.I18n

    public class I18n

extends java.lang.Object

Field Summary
`static int` | `ANY_ENC`
`static int` | `ASCII`
`private boolean` | `bAlwaysUseDefaultLang`
`private boolean` | `bGreek`
`private boolean` | `bGreekMath`
`private boolean` | `bPolytonicGreek`
`private boolean` | `bT2A`
`private Config` | `config`
`static int` | `CP1250`
`static int` | `CP1251`
`static int` | `ISO_8859_7`
`static int` | `KOI8_R`
`static int` | `LATIN1`
`static int` | `LATIN2`
`static int` | `LGR_ENC`
`private int` | `nDefaultFontenc`
`private OfficeReader` | `ofr`
`static int` | `OT1_ENC`
`private java.lang.String` | `sDefaultLang`
`private java.lang.String` | `sMajorityLanguage`
`private ReplacementTrie` | `stringReplace`
`static int` | `T1_ENC`
`static int` | `T2A_ENC`
`static int` | `T3_ENC`
`private UnicodeTable` | `table`
`private java.util.Hashtable` | `tableSet`
`private java.util.Stack` | `tableStack`
`private UnicodeStringParser` | `ucparser`
`static int` | `UTF8`

Constructor Summary
`I18n(OfficeReader ofr, Config config, ConverterPalette palette)`
`I18n(java.lang.String sSymbols)`

Method Summary
`void` | `appendDeclarations(LaTeXDocumentPortion pack, LaTeXDocumentPortion decl)`
`void` | `applyLanguage(StyleWithProperties style, boolean bDecl, boolean bInherit, BeforeAfter ba)` Apply language.
`java.lang.String` | `convert(char c, boolean bMathMode, java.lang.String sLang)`
`java.lang.String` | `convert(java.lang.String s, boolean bMathMode, java.lang.String sLang)`
`private void` | `convert(java.lang.String s, int nStart, int nEnd, boolean bMathMode, java.lang.String sLang, java.lang.StringBuffer buf, int nFontenc)`
`private void` | `convertLanguageUsage(LaTeXDocumentPortion ldp)`
`private java.lang.String` | `convertMathChar(char c, int nFontenc)`
`boolean` | `cyrillic()`
`static java.lang.String` | `getBabelLanguage(java.lang.String sLanguage)`
`int` | `getCharCount()`
`static int` | `getFontenc(int nFontencs)`
`static int` | `getFontenc(java.lang.String sLang)`
`static java.lang.String` | `getFontencCs(int nFontenc)`
`java.lang.String` | `getMajorityLanguage()`
`boolean` | `greek()`
`private boolean` | `greekMath(char c, int nFontenc)`
`private java.lang.String` | `notFound(char c, int nFontenc)`
`boolean` | `polytonicGreek()`
`void` | `popSpecialTable()`
`void` | `pushSpecialTable(java.lang.String sName)`
`static int` | `readFontencs(java.lang.String sFontencs)`
`static int` | `readInputenc(java.lang.String sInputenc)`
`private void` | `readSymbols(java.lang.String sSymbols)`
`void` | `setDefaultLanguage(java.lang.String sDefaultLang)`
`private void` | `setFlags(char c, int nFontenc)`
`static boolean` | `supportsFontenc(int nFontencs, int nFontenc)`
`static java.lang.String` | `writeFontenc(int nFontenc)`
`static java.lang.String` | `writeInputenc(int nInputenc)`
`static java.lang.String` | `writeJavaEncoding(int nInputenc)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ASCII

    public static final int ASCII

See Also:
  Constant Field Values

### LATIN1

    public static final int LATIN1

See Also:
  Constant Field Values

### LATIN2

    public static final int LATIN2

See Also:
  Constant Field Values

### ISO_8859_7

    public static final int ISO_8859_7

See Also:
  Constant Field Values

### CP1250

    public static final int CP1250

See Also:
  Constant Field Values

### CP1251

    public static final int CP1251

See Also:
  Constant Field Values

### KOI8_R

    public static final int KOI8_R

See Also:
  Constant Field Values

### UTF8

    public static final int UTF8

See Also:
  Constant Field Values

### OT1_ENC

    public static final int OT1_ENC

See Also:
  Constant Field Values

### T1_ENC

    public static final int T1_ENC

See Also:
  Constant Field Values

### T2A_ENC

    public static final int T2A_ENC

See Also:
  Constant Field Values

### T3_ENC

    public static final int T3_ENC

See Also:
  Constant Field Values

### LGR_ENC

    public static final int LGR_ENC

See Also:
  Constant Field Values

### ANY_ENC

    public static final int ANY_ENC

See Also:
  Constant Field Values

### tableSet

    private java.util.Hashtable tableSet

### table

    private UnicodeTable table

### tableStack

    private java.util.Stack tableStack

### ucparser

    private UnicodeStringParser ucparser

### sDefaultLang

    private java.lang.String sDefaultLang

### nDefaultFontenc

    private int nDefaultFontenc

### bAlwaysUseDefaultLang

    private boolean bAlwaysUseDefaultLang

### bT2A

    private boolean bT2A

### bGreek

    private boolean bGreek

### bPolytonicGreek

    private boolean bPolytonicGreek

### bGreekMath

    private boolean bGreekMath

### sMajorityLanguage

    private java.lang.String sMajorityLanguage

### stringReplace

    private ReplacementTrie stringReplace

### config

    private Config config

### ofr

    private OfficeReader ofr

Constructor Detail

### I18n

    public I18n(OfficeReader ofr,
                Config config,
                ConverterPalette palette)

### I18n

    public I18n(java.lang.String sSymbols)

Method Detail

### readInputenc

    public static final int readInputenc(java.lang.String sInputenc)

### writeInputenc

    public static final java.lang.String writeInputenc(int nInputenc)

### writeJavaEncoding

    public static final java.lang.String writeJavaEncoding(int nInputenc)

### readFontencs

    public static final int readFontencs(java.lang.String sFontencs)

### writeFontenc

    public static final java.lang.String writeFontenc(int nFontenc)

### supportsFontenc

    public static final boolean supportsFontenc(int nFontencs,
                                                int nFontenc)

### getFontenc

    public static final int getFontenc(int nFontencs)

### getFontenc

    public static final int getFontenc(java.lang.String sLang)

### getFontencCs

    public static final java.lang.String getFontencCs(int nFontenc)

### getBabelLanguage

    public static final java.lang.String getBabelLanguage(java.lang.String sLanguage)

### appendDeclarations

    public void appendDeclarations(LaTeXDocumentPortion pack,
                                   LaTeXDocumentPortion decl)

### setDefaultLanguage

    public void setDefaultLanguage(java.lang.String sDefaultLang)

### applyLanguage

    public void applyLanguage(StyleWithProperties style,
                              boolean bDecl,
                              boolean bInherit,
                              BeforeAfter ba)

  Apply language.

  Parameters:
    ``style`` - the OOo style to read attributesfrom
    ``bDecl`` - true if declaration form is required
    ``bInherit`` - true if inherited properties should be used
    ``ba`` - the `BeforeAfter` to add LaTeX code to.

### getMajorityLanguage

    public java.lang.String getMajorityLanguage()

### convertLanguageUsage

    private void convertLanguageUsage(LaTeXDocumentPortion ldp)

### readSymbols

    private void readSymbols(java.lang.String sSymbols)

### cyrillic

    public boolean cyrillic()

### greek

    public boolean greek()

### polytonicGreek

    public boolean polytonicGreek()

### greekMath

    private boolean greekMath(char c,
                              int nFontenc)

### setFlags

    private void setFlags(char c,
                          int nFontenc)

### notFound

    private java.lang.String notFound(char c,
                                      int nFontenc)

### convertMathChar

    private java.lang.String convertMathChar(char c,
                                             int nFontenc)

### convert

    public java.lang.String convert(char c,
                                    boolean bMathMode,
                                    java.lang.String sLang)

### convert

    public java.lang.String convert(java.lang.String s,
                                    boolean bMathMode,
                                    java.lang.String sLang)

### convert

    private void convert(java.lang.String s,
                         int nStart,
                         int nEnd,
                         boolean bMathMode,
                         java.lang.String sLang,
                         java.lang.StringBuffer buf,
                         int nFontenc)

### pushSpecialTable

    public void pushSpecialTable(java.lang.String sName)

### popSpecialTable

    public void popSpecialTable()

### getCharCount

    public int getCharCount()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD